
/* 

window.courseware.getData(callback,key);  //用于获取数据

window.air.hideAirClassLoading(key,data);  //页面加载完成时，必须调用此方法，用于隐藏遮罩层
 
*/


//对应模板的名称，这个可以不写，但是最好是能写上，同时开发多个模板的情况下如果不写这个，本地缓存可能会存在混乱
var key = "h5_test";

$(function(){

  window.courseware.getData(function(data){
    //数据加载完，才算页面加载完成
    //获取数据
    if(data&&data.test){
      $("#test").html("Hello "+data.test);
    } else{
      //一般来讲，如果没有获取到数据的话，给一组默认数据，用于演示模板的展示效果，方便别人了解这个模板
      $("#test").html("Hello 我是演示信息！");
    } 

    //数据渲染完成后，添加各种交互或者动画效果
    //我这里简单做一个渐入渐出效果的例子
    var flag = true;
    setInterval(function(){
      if(flag){
        $("#test").fadeIn(500); 
      }else{
        $("#test").fadeOut(500);
      }
      flag = !flag;
    },1000)

    //在页面加载、事件、动画等都初始化完成后，一定要记得调用此方法，否则模板将是不可用的
    window.air.hideAirClassLoading(key,data);

  },key); 

})